All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
execute_matrix_prod.hpp File Reference

Deals with matrix-vector and matrix-matrix products. More...

`#include "viennacl/forwards.h"`
`#include "viennacl/scheduler/forwards.h"`
`#include "viennacl/scheduler/execute_util.hpp"`
`#include "viennacl/scheduler/execute_generic_dispatcher.hpp"`
`#include "viennacl/linalg/vector_operations.hpp"`
`#include "viennacl/linalg/matrix_operations.hpp"`
`#include "viennacl/linalg/sparse_matrix_operations.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/hyb_matrix.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::scheduler
| Contains the scheduling functionality which allows for dynamic kernel generation as well as the fusion of multiple statements into a single kernel.
| viennacl::scheduler::detail
| Implementation details for the scheduler.

## Functions

bool | viennacl::scheduler::detail::matrix_prod_temporary_required (statement const &s, lhs_rhs_element const &elem)
void | viennacl::scheduler::detail::matrix_matrix_prod (statement const &s, lhs_rhs_element result, lhs_rhs_element const &A, lhs_rhs_element const &B, double alpha, double beta)
void | viennacl::scheduler::detail::matrix_vector_prod (statement const &s, lhs_rhs_element result, lhs_rhs_element const &A, lhs_rhs_element const &x)
void | viennacl::scheduler::execute_matrix_prod (statement const &s, statement_node const &root_node)

## Detailed Description

Deals with matrix-vector and matrix-matrix products.

Definition in file execute_matrix_prod.hpp.